<?php

namespace App\Http\Controllers;

use App\Models\Meeting;
use App\Models\MeetingParticipant;
use Illuminate\Http\Request;
use App\Models\Pro;
use App\Models\AppSession;
use App\HttpModels\ProModel;

class MeetingCenterController extends Controller
{

    public function mc(Request $request, $fragment) {
        $page = "/my_teams";
        if($fragment) {
            $page = '/' . $fragment;
        }

        $sessionKey = $request->cookie("sessionKey");

        $appSession = AppSession::where("session_key",$sessionKey)->first();
        $user = new ProModel($appSession->pro);

        return view('mc', compact('page','user'));
    }

}